VULKAN_HPP_NAMESPACE::ClearValue Union Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ClearValue:
[legend]

## Public Member Functions

| ClearValue (ClearColorValue color_=ClearColorValue())
| ClearValue (ClearDepthStencilValue depthStencil_)
ClearValue & | setColor (ClearColorValue color_)
ClearValue & | setDepthStencil (ClearDepthStencilValue depthStencil_)
| operator VkClearValue const & () const
| operator VkClearValue & ()

## Data Fields

VkClearColorValue | color
VkClearDepthStencilValue | depthStencil

## Detailed Description

Definition at line 6181 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ClearValue() [1/2]

VULKAN_HPP_NAMESPACE::ClearValue::ClearValue | ( | ClearColorValue | color_ = `ClearColorValue()` | ) |

inline

Definition at line 6183 of file vulkan.hpp.

{
color = color_;
}

## ClearValue() [2/2]

VULKAN_HPP_NAMESPACE::ClearValue::ClearValue | ( | ClearDepthStencilValue | depthStencil_ | ) |

inline

Definition at line 6188 of file vulkan.hpp.

{
depthStencil = depthStencil_;
}

References depthStencil.

## Member Function Documentation

## operator VkClearValue &()

VULKAN_HPP_NAMESPACE::ClearValue::operator VkClearValue & | ( |  | ) |

inline

Definition at line 6210 of file vulkan.hpp.

{
return *reinterpret_cast<VkClearValue*>(this);
}

## operator VkClearValue const &()

VULKAN_HPP_NAMESPACE::ClearValue::operator VkClearValue const & | ( |  | ) | const

inline

Definition at line 6205 of file vulkan.hpp.

{
return *reinterpret_cast<const VkClearValue*>(this);
}

## setColor()

ClearValue& VULKAN_HPP_NAMESPACE::ClearValue::setColor | ( | ClearColorValue | color_ | ) |

inline

Definition at line 6193 of file vulkan.hpp.

{
color = color_;
return *this;
}

## setDepthStencil()

ClearValue& VULKAN_HPP_NAMESPACE::ClearValue::setDepthStencil | ( | ClearDepthStencilValue | depthStencil_ | ) |

inline

Definition at line 6199 of file vulkan.hpp.

{
depthStencil = depthStencil_;
return *this;
}

References depthStencil.

## Field Documentation

## color

VkClearColorValue VULKAN_HPP_NAMESPACE::ClearValue::color

Definition at line 6219 of file vulkan.hpp.

## depthStencil

VkClearDepthStencilValue VULKAN_HPP_NAMESPACE::ClearValue::depthStencil

Definition at line 6220 of file vulkan.hpp.

Referenced by ClearValue(), and setDepthStencil().

The documentation for this union was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

color
GLuint color
Definition: SDL_opengl_glext.h:1148
VkClearValue
Definition: vulkan_core.h:2751
VULKAN_HPP_NAMESPACE::ClearValue::depthStencil
VkClearDepthStencilValue depthStencil
Definition: vulkan.hpp:6220